package hmggirlfront.block.tile;
 

import hmggirlfront.mod_GirlFront;
import net.minecraft.block.Block;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.ITickable;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;
 
public class TileEntity_ExpBlock extends TileEntity implements ITickable
{
	public boolean spawn = false;
	
	public int count = 0;
	
	public int id = 0;
    
	@SideOnly(Side.CLIENT)
    public double getMaxRenderDistanceSquared()
    {
        return 65536.0D;
    }
	
    @Override
	public void update() {
    	Block block = this.world.getBlockState(this.pos).getBlock();
        
        int x = this.pos.getX();
        int y= this.pos.getY();
        int z = this.pos.getZ();
        if(this.world.getBlockState(pos).getBlock() == mod_GirlFront.b_block_ammobox1_df) {
        	this.id = 0;
        }
        else if(this.world.getBlockState(pos).getBlock() == mod_GirlFront.b_block_barrel_drum1_df) {
        	this.id = 1;
        }
        else if(this.world.getBlockState(pos).getBlock() == mod_GirlFront.b_block_barrel_drum2_df) {
        	this.id = 2;
        }
        else if(this.world.getBlockState(pos).getBlock() == mod_GirlFront.b_block_40mmgr_ammo_df) {
        	this.id = 3;
        }
        else if(this.world.getBlockState(pos).getBlock() == mod_GirlFront.b_block_ammobox2_df) {
        	this.id = 4;
        }
        
        
        
        /*else {
        	this.id = 0;
        }*/
	}
	
}